#ifndef MAINBTN_H
#define MAINBTN_H

#include <QWidget>

namespace Ui {
class MainBtn;
}

class MainBtn : public QWidget
{
    Q_OBJECT

public:
    explicit MainBtn(QWidget *parent = 0);
    ~MainBtn();

    void setChecked(bool check);

    void mousePressEvent(QMouseEvent *e);

    void SetText(QString data, QString type);

signals:
    void clicked();
private:
    Ui::MainBtn *ui;

    bool _checked;

    QString _type;
};

#endif // MAINBTN_H
